Slideshow

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Functions
Slideshow

## Data Structures
struct | _Elm_Slideshow_Item_Class
| member definitions of Elm_Slideshow_Item_Class More...

## Typedefs
typedef Evas_Object *(* | SlideshowItemGetFunc) (void *data, Evas_Object *obj)
| Image fetching class function for slideshow item classes. More...
typedef void(* | SlideshowItemDelFunc) (void *data, Evas_Object *obj)
| Deletion class function for slideshow item classes. More...
typedef struct _Elm_Slideshow_Item_Class | Elm_Slideshow_Item_Class
| Slideshow item class definition struct.
typedef struct _Elm_Slideshow_Item_Class_Func | Elm_Slideshow_Item_Class_Func
| Class functions for slideshow item classes.

## Functions
Evas_Object * | elm_slideshow_add (Evas_Object *parent)
| Add a new slideshow widget to the given parent Elementary (container) object. More...

## Detailed Description

This widget, as the name indicates, is a pre-made image slideshow panel, with API functions acting on (child) image items presentation. Between those actions, are:

- advance to next/previous image
- select the style of image transition animation
- set the exhibition time for each image
- start/stop the slideshow

The transition animations are defined in the widget's theme, consequently new animations can be added without having to update the widget's code.

# Slideshow items

For slideshow items, just like for genlist ones, the user defines a classes, specifying functions that will be called on the item's creation and deletion times.

The Elm_Slideshow_Item_Class structure contains the following members:

- `func.get` - When an item is displayed, this function is called, and it's where one should create the item object, de facto. For example, the object can be a pure Evas image object or an Elementary photocam widget. See SlideshowItemGetFunc.
- `func.del` - When an item is no more displayed, this function is called, where the user must delete any data associated to the item. See SlideshowItemDelFunc.

# Slideshow caching

The slideshow provides facilities to have items adjacent to the one being displayed already "realized" (i.e. loaded) for you, so that the system does not have to decode image data anymore at the time it has to actually switch images on its viewport. The user is able to set the numbers of items to be cached before and after the current item, in the widget's item list.

This widget inherits from the Layout one, so that all the functions acting on it also work for slideshow objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - when the slideshow switches its view to a new item. event_info parameter in callback contains the current visible item
- `"transition,end"` - when a slide transition ends. event_info parameter in callback contains the current visible item
- `"focused"` - When the slideshow has received focus. (since 1.8)
- `"unfocused"` - When the slideshow has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

Supported `elm_object_item` common APIs.

- elm_object_item_del

List of examples for the slideshow widget:

- Slideshow widget example

## Typedef Documentation

typedef void(* SlideshowItemDelFunc) (void *data, Evas_Object *obj)

Deletion class function for slideshow item classes.

typedef Evas_Object*(* SlideshowItemGetFunc) (void *data, Evas_Object *obj)

Image fetching class function for slideshow item classes.

## Function Documentation

Evas_Object* elm_slideshow_add | ( | Evas_Object * | parent | ) |

Add a new slideshow widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  A new slideshow widget handle or `NULL`, on errors

This function inserts a new slideshow widget on the canvas.